> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chat-dash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Client Member

> Update a client member



## OpenAPI

````yaml put /clients/{clientId}/members/{memberId}
openapi: 3.0.1
info:
  title: ChatDash API Documentation
  description: API Documentation for the ChatDash Server
  version: 2.0.0
servers:
  - url: https://api.chat-dash.com/v1/public
security: []
paths:
  /clients/{clientId}/members/{memberId}:
    put:
      tags:
        - Clients
      summary: Update Client Member
      description: Update a client member
      parameters:
        - name: Authorization
          in: header
          required: true
          description: >-
            All requests to the ChatDash API must be validated with the agency
            API Key found on your agency profile
          schema:
            type: string
        - name: clientId
          in: path
          required: true
          description: The ID of the client
          schema:
            type: string
        - name: memberId
          in: path
          required: true
          description: The ID of the member
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: The member's name
                loginId:
                  type: string
                  description: The member's login ID
                email:
                  type: string
                  description: The member's email address
                password:
                  type: string
                  description: The member's password
                isAdmin:
                  type: boolean
                  description: Indicates if the member has admin privileges
                  default: false
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Member updated successfully
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Login ID already in use
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: An unexpected error occurred

````